## makefile.win32 (texinfo docs)			-*- Makefile -*-
## Time-stamp: "97/08/26 12:33:57 cschenk"

!include ..\..\miktex.inc

texinfodir = $(prefix)\tex\texinfo
dvipsdir = $(prefix)\tex\plain\dvips
docdir = $(prefix)\doc\texinfo

all: texinfo.tex epsf.tex texinfo.dvi texinfo.hlp

install: all
	-if not exist $(texinfodir)\nul mkdir $(texinfodir)
	-if not exist $(dvipsdir)\nul mkdir $(dvipsdir)
	-if not exist $(docdir)\nul mkdir $(docdir)
	$(INSTALL_DATA) texinfo.tex $(texinfodir)\texinfo.tex
	$(INSTALL_DATA) epsf.tex $(dvipsdir)\epsf.tex
	$(INSTALL_DATA) texinfo.hlp $(docdir)\texinfo.hlp
	$(INSTALL_DATA) texinfo.dvi $(docdir)\texinfo.dvi

uninstall:
	-del $(texinfodir)\texinfo.tex
	-del $(dvipsdir)\epsf.tex
	-del $(docdir)\texinfo.hlp
	-del $(docdir)\texinfo.dvi

texinfo.dvi: texinfo.texi macro.texi texinfo.tex
	tex texinfo.texi
	texindex texinfo.cp texinfo.fn
	tex texinfo.texi

texinfo.hlp:
	-..\makeinfo\makeinfo --force --hpj texinfo.hpj --output texinfo.rtf texinfo.texi
	hcrtf -xn texinfo.hpj

mostlyclean:

clean:
	-del *.aux
	-del *.cp *.cps *.fn *.fns *.ky *.log *.op *.pg *.toc *.tp *.vr
	-del *.hlp
	-del *.hpj
	-del *.ph
	-del *.rtf

distclean: clean

realclean: distclean
